elftosb::MemEnableStatementASTNode Class Reference

Statement to insert a ROM_MEM_ENABLE_CMD command. More...

`#include <ElftosbAST.h>`

Inheritance diagram for elftosb::MemEnableStatementASTNode:
[legend]
Collaboration diagram for elftosb::MemEnableStatementASTNode:
[legend]

## Public Member Functions

| MemEnableStatementASTNode (ASTNode *rangeExpr)
| MemEnableStatementASTNode (const MemEnableStatementASTNode &other)
virtual ASTNode * | clone () const
| Returns an exact duplicate of this object.
virtual std::string | nodeName () const
| Returns the name of the object's class.
virtual void | printTree (int indent) const
void | setRangeExpr (ASTNode *rangeExpr)
ASTNode * | getRangeExpr ()
void | setMemOption (ASTNode *memOpt)
ASTNode * | getMemOption ()
Public Member Functions inherited from elftosb::StatementASTNode
| StatementASTNode (const StatementASTNode &other)
Public Member Functions inherited from elftosb::ASTNode
| ASTNode ()
| Default constructor.
| ASTNode (ASTNode *parent)
| Constructor taking a parent node.
| ASTNode (const ASTNode &other)
| Copy constructor.
virtual | ~ASTNode ()
| Destructor.
virtual ASTNode * | getParent () const
virtual void | setParent (ASTNode *newParent)
virtual void | printTree () const
virtual void | setLocation (token_loc_t &loc)
virtual void | setLocation (token_loc_t &first, token_loc_t &last)
virtual void | setLocation (ASTNode *loc)
virtual void | setLocation (ASTNode *first, ASTNode *last)
virtual token_loc_t & | getLocation ()
virtual const token_loc_t & | getLocation () const
virtual int | getFirstLine ()
virtual int | getLastLine ()

## Protected Attributes

smart_ptr< ASTNode > | m_rangeExpr
| Expression that evaluates to the config block address range.
smart_ptr< ASTNode > | m_memOption
| Memory option identifier.
Protected Attributes inherited from elftosb::ASTNode
ASTNode * | m_parent
| Pointer to parent node of this object. May be NULL.
token_loc_t | m_location
| Location of this node in the source file.

## Additional Inherited Members

Protected Member Functions inherited from elftosb::ASTNode
void | printIndent (int indent) const
| Prints indent number of spaces.

## Detailed Description

Statement to insert a ROM_MEM_ENABLE_CMD command.

The documentation for this class was generated from the following files:

- ElftosbAST.h
- ElftosbAST.cpp